Skip to main content
POST
/
v1
/
videos
/
{id}
/
clips
/
{clipId}
/
highlights
Add a highlight to a clip
curl --request POST \
  --url https://api.tella.com/v1/videos/{id}/clips/{clipId}/highlights \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dimensions": {
    "heightPct": 50,
    "widthPct": 50
  },
  "durationMs": 2000,
  "point": {
    "xPct": 25,
    "yPct": 25
  },
  "startTimeMs": 1000
}
'
{
  "mask": {
    "dimensions": {
      "heightPct": 50,
      "widthPct": 50
    },
    "durationMs": 2000,
    "id": "ly_abc123",
    "point": {
      "xPct": 25,
      "yPct": 25
    },
    "startTimeMs": 1000,
    "type": "blur"
  }
}

Documentation Index

Fetch the complete documentation index at: https://tella.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key obtained from your Tella account settings

Path Parameters

id
string
required

Video identifier

Example:

"vid_abc123def456"

clipId
string
required

Clip identifier

Example:

"cl_xyz789ghi012"

Body

application/json

Add a blur or highlight mask. Always targets the subject screen layer.

dimensions
object
required

Size of the masked rectangle (percentages)

durationMs
integer
required
Required range: x <= 9007199254740991
Example:

2000

point
object
required

Top-left corner of the masked rectangle (percentages)

startTimeMs
integer
required
Required range: 0 <= x <= 9007199254740991
Example:

1000

Response

OK

A mask on a clip

mask
object
required

A blur or highlight mask on a clip